<?php
define('NTLCMS', 1);
$module = 'panel';
include ('../system/start.php');
include ('../system/function.php');
include ('../system/antidos.php');
include ('../system/head.php');
################################################################################
if ($active && $_USER['admin'] == '1'){
################################################################################
switch($act){
default:
echo '<div class="title"><b>'.razd.' Админ панель | Ввод средств</b></div>';
################################################################################

$k_post = DB :: run() -> querySingle("select count(`id`) from `inmoney`");
 
$k_page = k_page($k_post, $onpage); 
$page = page($k_page); 
$start = $onpage * $page - $onpage;
			
$sql = DB :: run() -> query("select * from `inmoney` where `id` order by `id` asc limit ".$start.", ".$onpage);

if ($k_post == 0){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Заявок на ввод нет!</center></div>';
} else {
echo '<div class="menu">';
	 echo'<style>
	            TH {
             background: #e3ecdf; /* Цвет фона ячеек */
	         color: black; /* Цвет текста */ 
			      }</style>	
	     <BODY><TABLE BORDER WIDTH=100%>
           <TR>
         <TH><center><b>Логин</b></center></TH>
         <TH><center><b>Дата</b></center></TH>
         <TH><center><b>Кошелек</center></TH>
		 <TH><center><b>Сумма</center></TH>
		 <TH><center><b>Действие</center></TH></TR>';		
	
	
	
	
while ($row = $sql -> fetch(PDO::FETCH_OBJ)){
echo'<TR>
         <TD ALIGN=CENTER>'.login($row -> login, 1).'</TD>
         <TD ALIGN=CENTER>'.date('d.m.Y H:i', $row -> date).'</TD>
         <TD ALIGN=CENTER> '.($row -> wmr).'</TD>
		 <TD ALIGN=CENTER>'.($row -> money).' </TD>
		 
		 <TD ALIGN=CENTER><a href="'.URL.'/_deposit_on'.((int) $row -> id).'-'.checkout($row -> login).'-'.($row -> money).'">ON</a> |
 <a href="'.URL.'/_deposit_off'.((int) $row -> id).'">OFF</a> </TD></TR></BODY> ';
		}
 echo '<tr><TD colspan=7 ALIGN=CENTER>Всего запросов на ввод: <b>'.$k_post.'</b></TD>';		
echo '</table></div>';

if ($k_page > 1) navigation(URL.'/_deposit?', $k_page, $page);
}

echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/_control">Админ-Панель</a></div>';
break;
################################################################################
case 'ok':

if (isset($_GET['ok']) && isset($_GET['log']) && isset($_GET['sum'])){

$ok = isset($_GET['ok']) ? filter_var($_GET['ok'], FILTER_SANITIZE_NUMBER_INT) : '0';
$login = isset($_GET['log']) ? filter_var($_GET['log'], FILTER_SANITIZE_STRING) : false;
$sum = isset($_GET['sum']) ? filter_var($_GET['sum'], FILTER_SANITIZE_NUMBER_FLOAT) : '0.00';

if (DB :: run() -> querySingle("select count(`id`) from `inmoney` where `id` = ?", array($ok))){
DB :: run() -> query("insert into `money_in` (`time`, `login`, `summa`) values (?, ?, ?)", array(TIME, $login, $sum));					
DB :: run() -> query("delete from `inmoney` where `id` = ? limit 1", array($ok));
DB :: run() -> query("update `users` set `balans` = `balans` + ? where `login` = ? limit 1", array($sum, $login));
DB :: run() -> query("insert into `notice` (`to`, `date`, `status`, `tema`, `text`) values (?, ?, ?, ?, ?)", array($login, TIME, 1, 'Ввод средств', 'Ваш счет успешно пополнен!'));

header('Location: '.URL.'/_deposit');
$_SESSION['success'] = 'Счет пользователя успешно пополнен!';
} else {
header('Location: '.URL.'/_deposit');
$_SESSION['fail'] = 'Счет пользователя не пополнен!';
}
} else {
header('Location: '.URL.'/_deposit');
$_SESSION['fail'] = 'Действие запрещено!';
}

break;
################################################################################
case 'no':

if (isset($_GET['no'])){

$id = isset($_GET['no']) ? filter_var($_GET['no'], FILTER_SANITIZE_NUMBER_INT) : '0';

if (DB :: run() -> querySingle("select count(`id`) from `inmoney` where `id` = ?", array($id))){
DB :: run() -> query("delete from `inmoney` where `id` = ? limit 1", array($id));
header('Location: '.URL.'/_deposit');
$_SESSION['success'] = 'Пополнение успешно отменено!';
} else {
header('Location: '.URL.'/_deposit');
$_SESSION['fail'] = 'Пополнение не отменено!';
}
} else {
header('Location: '.URL.'/_deposit');
$_SESSION['fail'] = 'Действие запрещено!';
}

break;
################################################################################
}
} else {
echo '<div class="title"><center>Проверка прав доступа</center></div>';
echo '<div class="menu"><center><i class="fa fa-close fa-fw"></i> Доступ запрещен!</center></div>';
echo '<div class="block"><i class="fa fa-home fa-fw"></i> '.(isset($active) ? '<a href="'.URL.'/cabinet">В кабинет</a>' : '<a href="'.URL.'">На главную</a>').'</div>';
}

include ('../system/foot.php');
?>